Name:    aladin
Version: 9.013
Release: %mkrel 1
Summary: The Aladin Sky Atlas

Group:    Sciences/Astronomy
License:  GPLv3
URL:      http://aladin.u-strasbg.fr/aladin.gml

Source0:  AladinSrc-%{version}.jar
Source1:  aladin.bin
#Source2: Aladin-FAQ.html
#Source3: aladin.pdf
Source4:  aladin.desktop
Source5:  aladin.png
Source6:  jhealpixSmall.jar

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: desktop-file-utils
BuildRequires: ant

Requires:  java  >= 1.6
Requires:  jpackage-utils

BuildArch: noarch

%description
Aladin is an interactive software sky atlas allowing the user to
visualize digitized astronomical images, superimpose entries from
astronomical catalogues or databases, and interactively access related
data and information from the Simbad database, the VizieR service and
other archives for all known sources in the field (see available
data). This is a widely-used tool capable of addressing challenges
such as locating data of interest, accessing and exploring distributed
datasets, visualizing multi-wavelength data.


%prep
%setup -q -c
%__cp %{SOURCE6} .

%build
ant -lib .

%install
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 *.jar %{buildroot}%{_javadir}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/aladin
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps

desktop-file-install \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE4}

%files
%{_bindir}/aladin
%{_javadir}/*.jar
%{_datadir}/applications/aladin.desktop
%{_datadir}/pixmaps/aladin.png


%changelog
* Wed Dec 14 2016 eatdirt <eatdirt> 9.013-1.mga6
+ Revision: 1075010
- Upgrade to version 9.013

* Tue Feb 02 2016 umeabot <umeabot> 8.040-4.mga6
+ Revision: 932181
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 8.040-3.mga5
+ Revision: 744553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.040-2.mga5
+ Revision: 677732
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 eatdirt <eatdirt> 8.040-1.mga5
+ Revision: 642560
- Upgrade to version 8.040

* Sat Oct 19 2013 umeabot <umeabot> 7.5-3.mga4
+ Revision: 530577
- Mageia 4 Mass Rebuild

* Thu Jul 25 2013 joequant <joequant> 7.5-2.mga4
+ Revision: 457999
- fix broken icons
- imported package aladin

